php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #21427 Function xslt_set_encoding() undefined
Submitted: 2003-01-05 07:01 UTC Modified: 2003-01-05 07:04 UTC
From: tony at marston-home dot demon dot co dot uk Assigned:
Status: Not a bug Package: XSLT related
PHP Version: 4.3.0 OS: WindowsXP
Private report: No CVE-ID: None
View Add Comment Developer Edit
Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know!
Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem:
48 - 28 = ?
Subscribe to this entry?

 
 [2003-01-05 07:01 UTC] tony at marston-home dot demon dot co dot uk
I am using Apache 2.0.43 and I have just upgraded to PHP 4.3.0 and my scripts now fail with the error message:

"Call to undefined function: xslt_set_encoding()"

I have downloaded the latest sablotron version from www.gingerall.com, but the error persists.

Could it be that the Windows binary was not compioled with the "with encoding" option?

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-01-05 07:04 UTC] edink@php.net
Duplicate of #20640.
 [2003-01-05 07:04 UTC] nicos@php.net
As http://www.php.net/manual/en/ref.xslt.php says:

On UNIX, run configure with the --enable-xslt  --with-xslt-sablot  options. The Sablotron  library should be installed somewhere your compiler can find it.

Make sure you have the same libraries linked to the Sablotron library as those, which are linked with PHP. The configuration options: --with-expat-dir=DIR --with-iconv-dir=DIR are there to help you specify them. When asking for support, always mention these directives, and whether there are other versions of those libraries installed on your system somewhere. Naturally, provide all the version numbers.

JavaScript E-XSLT support: If you compiled Sablotron with JavaScript support, you must specify the option: --with-sablot-js=DIR.

Note to Win32 Users: In order to enable this module on a Windows environment, you must copy sablot.dll from the DLL folder of the PHP/Win32 binary package to the SYSTEM32 folder of your windows machine. (Ex: C:\WINNT\SYSTEM32 or C:\WINDOWS\SYSTEM32) 
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Thu Apr 02 00:01:23 2020 UTC